pcm.card0 {
    type hw
      card 0
    
}

ctl.card0 {
    type hw
      card 0
      
}

pcm.VOUTL {
    type dshare
      ipc_key 6678293
      ipc_key_add_uid yes
      slave {
          pcm "hw:0"
          channels 2
      }
    bindings {
        0 1
    }
}

pcm.VOUTR {
    type dshare
      ipc_key 6678293
      ipc_key_add_uid yes
      slave {
          pcm "hw:0"
	  channels 2
      }
    bindings {
        0 0
    }
}


pcm.VINL {
    type dsnoop
      ipc_key 32
      slave {
          pcm "card0"
            channels 2
      }
    bindings.0  0
}

pcm.VINR {
    type dsnoop
      ipc_key 32
      slave {
          pcm "card0"
            channels 2
      }
    bindings.0  1
}




pcm.!default VOUTR
pcm.!default VOUTL
